Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDCOMPRESSIONvalues

java.lang.Object
java.lang.Enum<CDCOMPRESSIONvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDCOMPRESSIONvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDCOMPRESSIONvalues>`, `java.lang.constant.Constable`

public enum CDCOMPRESSIONvalues extends Enum<CDCOMPRESSIONvalues>

Java class for CD-COMPRESSIONvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-COMPRESSIONvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="DF"/>
         <enumeration value="GZ"/>
         <enumeration value="Z"/>
         <enumeration value="ZL"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DF`
  `GZ`
  `Z`
  `ZL`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDCOMPRESSIONvalues`
  `fromValue(String v)`
  `String`
  `value()`
  `static CDCOMPRESSIONvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDCOMPRESSIONvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DF

    public static final CDCOMPRESSIONvalues DF

  - ### GZ

    public static final CDCOMPRESSIONvalues GZ

  - ### Z

    public static final CDCOMPRESSIONvalues Z

  - ### ZL

    public static final CDCOMPRESSIONvalues ZL

- ## Method Details

  - ### values

    public static CDCOMPRESSIONvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDCOMPRESSIONvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static CDCOMPRESSIONvalues fromValue(String v)